Name: gnats
Summary: GNU Problem Report Management System
Version: 3.108
Release: 1
Copyright: GPL
Group: Development/Tools
Source: ftp://sourceware.cygnus.com/pub/gnats/gnats-3.108-beta.tar.gz
Patch0: gnats-3.108.patch
Url: http://sourceware.cygnus.com/gnats/
BuildRoot: /var/tmp/gnats-root


%description
GNATS is a bug-tracking tool designed for use at a central "Support
Site".  Users who experience problems use electronic mail to
communicate these problems to "maintainers" at that Support Site.
GNATS partially automates the tracking of these "Problem Reports"
("PR"s) by:

   * organizing problem reports into a database and notifying
     responsible parties of suspected bugs;

   * allowing support personnel and their managers to edit and query
     accumulated bugs; and

   * providing a reliable archive of problems (and their subsequent
     solutions) with a given program.


%package db
Summary: GNATS database tree
Group: Development/Tools

%description db
This package contains the GNATS database skeleton.

GNATS is a bug-tracking tool designed for use at a central "Support
Site".  Users who experience problems use electronic mail to
communicate these problems to "maintainers" at that Support Site.
GNATS partially automates the tracking of these "Problem Reports"
("PR"s) by:

   * organizing problem reports into a database and notifying
     responsible parties of suspected bugs;

   * allowing support personnel and their managers to edit and query
     accumulated bugs; and

   * providing a reliable archive of problems (and their subsequent
     solutions) with a given program.


%prep
%setup -q -n gnats-3.108-beta-RC1
%patch0 -p1 -b .mike

%build
./configure --prefix=/usr --with-full-gnats
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install install-info

%pre
cut -d: -f1 /etc/passwd | grep -q gnats
if [ $? -ne 0 ]; then
    /usr/sbin/useradd -c "Gnats User" \
       -r -d /usr/share/gnats/gnats-db/gnats-adm/config gnats 2>/dev/null || :
    exit 1
fi 

%pre db
cut -d: -f1 /etc/passwd | grep -q gnats
if [ $? -ne 0 ]; then 
    /usr/sbin/useradd -c "Gnats User" \
       -r -d /usr/share/gnats/gnats-db/gnats-adm/config gnats 2>/dev/null || :  
    exit 1
fi

%postun
if [ $1 = 0 ]; then 
    /usr/sbin/userdel gnats 2>/dev/null || :
    /usr/sbin/groupdel gnats 2>/dev/null || :  
fi

%postun db
if [ $1 = 0 ]; then 
    /usr/sbin/userdel gnats 2>/dev/null || :
    /usr/sbin/groupdel gnats 2>/dev/null || :  
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB CYGNUS README ChangeLog
/usr/bin/query-pr
/usr/bin/nquery-pr
/usr/bin/edit-pr
/usr/bin/nedit-pr
/usr/bin/getclose
/usr/bin/sub-type
/usr/bin/send-pr
/usr/bin/install-sid
/usr/libexec/gnats
/usr/share/emacs/site-lisp/gnats.el
/usr/share/emacs/site-lisp/send-pr.el
/usr/man/man1/*
/usr/man/man7/*
/usr/man/man8/*
/usr/info/gnats.info
/usr/info/gnats.info-1
/usr/info/gnats.info-2
/usr/info/gnats.info-3
/usr/info/gnats.info-4
/usr/info/send-pr.info
/usr/info/standards.info
/usr/info/standards.info-1
/usr/info/standards.info-2
/usr/info/standards.info-3

%files db
%defattr(-,root,root)
/usr/share/gnats/gnats-db/gnats-queue
/usr/share/gnats/gnats-db/pending
/usr/share/gnats/dist
/usr/share/gnats/cygnus

%config /usr/share/gnats/gnats-db/gnats-adm/categories
%config /usr/share/gnats/gnats-db/gnats-adm/responsible
%config /usr/share/gnats/gnats-db/gnats-adm/submitters
%config /usr/share/gnats/gnats-db/gnats-adm/gnatsd.conf
%config /usr/share/gnats/gnats-db/gnats-adm/config

%changelog
* Tue Apr 06 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Sep 08 1998 Michael Maher <mike@redhat.com>
- built package from contrib spec
